// pages/userCenter.js
const wxService = require('../../../../utils/wxService')

wxService.page({
  /**
   * 页面的初始数据
   */
  data: {
    query: '',
    integralCouponList: [], // 积分兑换优惠券列表
    noMore: false,
    isExchange: false,
    exchangeId: '',
    exchangePoint: 0,
    dialogStockEmpty: false,
    dialogUserLimit: false,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.hideShareMenu();
    this.initIntegralCouponList();
  },
 
  
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    
  },
  
  
  // 积分兑换优惠券列表
  initIntegralCouponList() {
    wx.showLoading({
      title: '加载中'
    });

    wxService.get(`/coupon/pointsRedemptionCouponSetting/getAllValid`).then(res => {
      if (res) {
        const { result, data } = res.data
        if (result == 0) {
          wx.hideLoading()
          this.setData({
            integralCouponList: data.reverse()
          });
        }
      }
    }).finally(() => {
      wx.hideLoading();
    })
  },
  //立即兑换优惠券
  exchange(e) {
    const { id, point } = e.currentTarget.dataset
    wx.showToast({
      title: '领取成功！',
    });
  },
  //跳转到详情
  goCouponDetail(e) {
    const { id } = e.currentTarget.dataset
    wxService.router(`/subPackage/page/pages/couponCenterInfo/couponCenterInfo?id=${id}`)
  },
  /**
  * 页面相关事件处理函数--监听用户下拉动作
  */
  onPullDownRefresh: function () { },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },
})